//
// main.go
// Copyright (C) 2017 kevin <kevin@ie.suberic.net>
//
// Distributed under terms of the MIT license.
//

package main

import (
	"flag"
	"fmt"
	"log"
	"net/http"

	"github.com/prometheus/client_golang/prometheus/promhttp"
)

var addr = flag.String("listen-address", ":8080", "Address for HTTP requests.")

func metricsHandler(w http.ResponseWriter, r *http.Request) {
	fmt.Fprintf(w, "Some metrics.")
}

func main() {
	flag.Parse()
	http.HandleFunc("/", metricsHandler)
	http.Handle("/metrics", promhttp.Handler())
	log.Fatal(http.ListenAndServe(*addr, nil))
}
